=== debian/changelog ===
ros-iron-ur-calibration (2.3.3-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Wed, 23 Aug 2023 00:00:00 -0000

ros-iron-ur-calibration (2.3.2-1jammy) jammy; urgency=high

  * Fixed formatting (#685 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/685>)
    * Removed empty lines from python files
    * Fixed typo in changelogs
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Fri, 02 Jun 2023 00:00:00 -0000

ros-iron-ur-calibration (2.3.1-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Thu, 16 Mar 2023 00:00:00 -0000

ros-iron-ur-calibration (2.3.0-1jammy) jammy; urgency=high

  * Fixes launchfile references (#490 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/490>)
    The filename with the dual type ending was wrong.
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Thu, 02 Mar 2023 00:00:00 -0000

ros-iron-ur-calibration (2.2.4-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Fri, 07 Oct 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.3-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Wed, 27 Jul 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.2-1jammy) jammy; urgency=high

  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Tue, 19 Jul 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.1-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Mon, 27 Jun 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.0-1jammy) jammy; urgency=high

  * Updated package maintainers
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Calibration extraction package (#186 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/186>)
  * Contributors: Denis Štogl, Felix Exner, livanov93

 -- Felix Exner <exner@fzi.de>  Mon, 20 Jun 2022 00:00:00 -0000
